/* $Id: testlapack_dpotrf.cpp 118 2008-08-06 15:00:20Z dirk $ */

/* GenLib2 - General Library 2
 * Copyright (C) 2005 Dirk Stallmann
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#include <iostream>
#include "matrix.h"
#include "lapack.h"


//double data[3][3] = {{4, 2, 14}, {2, 17, -5}, {14, -5, 83}};
double data[3][3] = {{4, 2, 14}, {0, 17, -5}, { 0,  0, 83}};

void main()
{
	using namespace GenLib2;

	Matrix<double> A(3, 3, &data[0][0]);
	cout << A << endl;

	lapack_dpotrf(A);

	cout << A << endl;
}
